@if (feedItemsInitialData && feedItems.length > 0) {
  <ion-row class="flex-list-feed-items content-row" *transloco="let t">
    <ion-row>
      <div class="content-title">{{ titleKey }}</div>
    </ion-row>

    <ion-col
      *ngFor="let feedItem of feedItems.slice(0, 5)"
      [size]="12"
      aria-live="polite"
      aria-atomic="true"
      [attr.data-cy]="'feed-navigation-col'"
    >
      <ng-container
        *ngComponentOutlet="
          feedItem.forYouComponent;
          inputs: { feedItem: feedItem }
        "
      />
    </ion-col>

    <lib-custom-horizontal-button
      endIcon="arrow_forward_ios"
      (linkClick)="navigateToFeed(feedCategory)"
      *ngIf="feedItems.length > 0 && moreFeedItemsAvailable"
      [buttonType]="customButtonType.link"
      [colorScheme]="customButtonColorScheme.strong"
      [buttonHref]="getFeedUrl(feedCategory)"
      [title]="t('ui.show-more-button.show-more', { feedTitle: titleKey })"
    ></lib-custom-horizontal-button>
  </ion-row>
}

<lib-skeleton-feed-loading-for-you
  [show]="loadingFeedItems"
></lib-skeleton-feed-loading-for-you>
